# eric4.Plugins.VcsPlugins.vcsPySvn.SvnRepoBrowserDialog

Module implementing the subversion repository browser dialog.

### Global Attributes

None

### Classes

SvnRepoBrowserDialog | Class implementing the subversion repository browser dialog.

### Functions

None

## SvnRepoBrowserDialog

Class implementing the subversion repository browser dialog.

### Derived from

QDialog, SvnDialogMixin, Ui_SvnRepoBrowserDialog

### Class Attributes

None

### Methods

SvnRepoBrowserDialog | Constructor
__generateItem | Private method to generate a tree item in the repository tree.
__listRepo | Private method to perform the svn list command.
__normalizeUrl | Private method to normalite the url.
__resizeColumns | Private method to resize the tree columns.
__resort | Private method to resort the tree.
__showError | Private slot to show an error message.
accept | Public slot called when the dialog is accepted.
getSelectedUrl | Public method to retrieve the selected repository URL.
on_repoTree_itemCollapsed | Private slot called when an item is collapsed.
on_repoTree_itemExpanded | Private slot called when an item is expanded.
on_repoTree_itemSelectionChanged | Private slot called when the selection changes.
on_urlCombo_currentIndexChanged | Private slot called, when a new repository URL is entered or selected.
start | Public slot to start the svn info command.

#### SvnRepoBrowserDialog (Constructor)

SvnRepoBrowserDialog(vcs, mode = "browse", parent = None)

Constructor

vcs
  reference to the vcs object
mode
  mode of the dialog (string, "browse" or "select")
parent
  parent widget (QWidget)

#### SvnRepoBrowserDialog.__generateItem

__generateItem(parent, repopath, revision, author, size, date, nodekind, url)

Private method to generate a tree item in the repository tree.

parent
  parent of the item to be created (QTreeWidget or QTreeWidgetItem)
repopath
  path of the item (string or QString)
revision
  revision info (string or pysvn.opt_revision_kind)
author
  author info (string or QString)
size
  size info (integer)
date
  date info (integer)
nodekind
  node kind info (pysvn.node_kind)
url
  url of the entry (string or QString)

Returns:
  reference to the generated item (QTreeWidgetItem)

#### SvnRepoBrowserDialog.__listRepo

__listRepo(url, parent = None)

Private method to perform the svn list command.

url
  the repository URL to browser (string or QString)
parent
  reference to the item, the data should be appended to (QTreeWidget or QTreeWidgetItem)

#### SvnRepoBrowserDialog.__normalizeUrl

__normalizeUrl(url)

Private method to normalite the url.

url
  the url to normalize (string or QString)

Returns:
  normalized URL (QString)

#### SvnRepoBrowserDialog.__resizeColumns

__resizeColumns()

Private method to resize the tree columns.

#### SvnRepoBrowserDialog.__resort

__resort()

Private method to resort the tree.

#### SvnRepoBrowserDialog.__showError

__showError(msg)

Private slot to show an error message.

msg
  error message to show (string or QString)

#### SvnRepoBrowserDialog.accept

accept()

Public slot called when the dialog is accepted.

#### SvnRepoBrowserDialog.getSelectedUrl

getSelectedUrl()

Public method to retrieve the selected repository URL.

Returns:
  the selected repository URL (QString)

#### SvnRepoBrowserDialog.on_repoTree_itemCollapsed

on_repoTree_itemCollapsed(item)

Private slot called when an item is collapsed.

item
  reference to the item to be collapsed (QTreeWidgetItem)

#### SvnRepoBrowserDialog.on_repoTree_itemExpanded

on_repoTree_itemExpanded(item)

Private slot called when an item is expanded.

item
  reference to the item to be expanded (QTreeWidgetItem)

#### SvnRepoBrowserDialog.on_repoTree_itemSelectionChanged

on_repoTree_itemSelectionChanged()

Private slot called when the selection changes.

#### SvnRepoBrowserDialog.on_urlCombo_currentIndexChanged

on_urlCombo_currentIndexChanged(text)

Private slot called, when a new repository URL is entered or selected.

text
  the text of the current item (QString)

#### SvnRepoBrowserDialog.start

start(url)

Public slot to start the svn info command.

url
  the repository URL to browser (string or QString)

Up